GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
construction.cpp File Reference
`#include "gridfire/engine/procedures/construction.h"`
`#include <ranges>`
`#include <stdexcept>`
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/reaction/reaclib.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include "quill/LogMacros.h"`

Go to the source code of this file.

## Classes
class | gridfire::Reaction
| Represents a single nuclear reaction from a specific data source. More...

## Namespaces
namespace | gridfire

## Typedefs
using | gridfire::LogicalReactionSet
| A set of logical reactions.
using | gridfire::ReactionSet
| A set of reactions, typically from a single source like REACLIB.

## Functions
LogicalReactionSet | gridfire::build_reaclib_nuclear_network (const Composition &composition, BuildDepthType maxLayers, bool reverse)